package logbackCfg;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.PrintWriter;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;



class Runner extends Thread {
	private String file;
	
	public Runner(String file) {
		this.file=file;
	}
	
	public void run() {
		while(true) {
	        try {
	        	Thread.sleep(5000);
	        	Thread.currentThread().interrupt();
	        	
	        	File f=new File(file);
	        	FileWriter fw = new FileWriter(f, true);
	        	
	        	PrintWriter pw = new PrintWriter(fw);
	        	pw.println("追加内容");
	        	pw.println("落霞与孤鹜齐飞");
	        	pw.println("秋水共长天一色");
	        	pw.println("滕王阁序 唐.王勃");
	        	pw.flush();


	        	pw.close();
	        	fw.close();

	        } catch (Exception e) {
	            e.printStackTrace();
	        }
		}
	}
}

public class App {
	private final static Logger logger = LoggerFactory.getLogger(App.class);

	public static void main(String[] args) throws InterruptedException {
		Runner r=new Runner("D:\\logs\\logbackCfg.log.2020-01-15.log");
		r.start();
		
		while(true) {
			Thread.sleep(5000);
			logger.info("秦时明月汉时关");
			logger.error("万里长征人未还");
			logger.debug("但使龙城飞将在");
			logger.trace("不教胡马度阴山");
		}
	}
	

}
